@import '../libs/reset.scss';
@font-face {
    font-family: 'Sombra';
    src: url(fonts/FontsFree-Net-Sombra-Black.ttf);
}

$green:              #297045;
$beige:              #ECBA82;
$black:              #000000;
$white:              #FFFFFF; 
$brown:              #381c0e;
$font:               Sombra;
$ld-font-size:       220px;
$rd-font-size:       110px;
$rd-font-size-child: 70px;
$main-title-size:    130px;
$project-card-br: 10px;
$mt-filter-trier-box: 50px;

body {
    width: 100vw;
    background: darken($white, 5);
    overflow-x: hidden;
    overflow-y: hidden;

    display: flex;
    flex-wrap: wrap;
    font-family: $font;
    justify-content: center;
    scroll-behavior: smooth;
}

.pf {
    display: flex;
    justify-content: center;
    align-items: center;
}

.pf-col {
    @extend .pf;
    flex-direction: column;
}

.left-door {
    width: 60%;
    height: 100%;
    background: $green;
    color: $beige;
    gap: 50px;
    text-shadow: 10px 10px 4px rgba(0, 0, 0, 0.25);
    position: absolute;
    left: 0;
    top: 0;
    z-index: 2;

    span {
        display: inline-block;
        transition: 200ms;
        font-size: $ld-font-size;
        &:hover {
            color: lighten($beige, 10);
            transform: translateY(-15px);
        }
    }

    #door-button {
        width: 80px;
        height: 80px;
        background: white;
        position: absolute;
        right: -40px;
        top: 50%;
        box-shadow: 0px 4px 4px rgba(0, 0, 0, 0.25);
        border-radius: 10px;
        -webkit-box-shadow: inset 0px 0px 5px #c1c1c1;
        -moz-box-shadow: inset 0px 0px 5px #c1c1c1;
             box-shadow: inset 0px 0px 5px #c1c1c1;
        z-index: 1;

        &:hover {
            -webkit-box-shadow: inset 0px 0px 10px #aaaaaa;
            -moz-box-shadow: inset 0px 0px 10px #aaaaaa;
                 box-shadow: inset 0px 0px 10px #aaaaaa;
        }
        img {
            width: 50px;
            transition: 200ms;
            &:hover {
                width: 57px;
            }
        }
    }

}
.right-door {
    width: 40%;
    height: 100%;
    background: $beige;
    color: $green;
    box-shadow: -8px 0 8px -12px #000000;
    position: absolute;
    right: 0;
    top: 0;
    z-index: 1;

    div {
        transform: rotate(-90deg);
        p {
            font-size: $rd-font-size; 
        }
    }

    p:last-child {
        font-size: $rd-font-size-child;           
    }
}

/* animation du bouton*/ 
.btn-anim-out {
    @extend #door-button;
    animation: 1s btnout ease-in-out;
    animation-fill-mode: forwards;
}

@keyframes btnout {
    0% {}
    100% { top: 110%;transform: rotate(45deg);}
}

/* Animation ouverture des portes */

.right-door-open {
    @extend .right-door;
    animation: 2.5s rdout ease-in-out;
    animation-fill-mode: forwards;
}
@keyframes rdout {
    0% { }
    15% {transform : translateX(15%); }
    30% {transform : translateX(5%); }
    100% {transform : translateX(100%);}
}

.left-door-open {
    @extend .left-door;
    animation: 2.5s ldout ease-in-out;
    animation-fill-mode: forwards;
}
@keyframes ldout {
    0% { }
    15% {transform : translateX(-15%); }
    30% {transform : translateX(-5%); }
    100% {transform : translateX(-105%);}
}

/* reverse animation porte*/
.btn-anim-in {
    @extend #door-button;
    animation: 1s btnin ease-in-out;
    animation-fill-mode: forwards;
}

@keyframes btnin {
    0% {top: 110%;}
    100% { top: 50%}
}

/* Animation des doors */

.right-door-close {
    @extend .right-door;
    animation: 2s rdin ease-in-out;
    animation-fill-mode: forwards;
}
@keyframes rdin {
    0% {transform : translateX(100%);}
    100% {transform : translateX(0%);}
}

.left-door-close {
    @extend .left-door;
    animation: 2s ldin ease-in-out;
    animation-fill-mode: forwards;
}
@keyframes ldin {
    0% {transform : translateX(-100%);}
    100% {transform : translateX(0%);}
}


/* header */
.header {
    display: flex;
    justify-content: space-between;
    margin-top: 6vh;

    width: 90%;

    .header-title {
        height: 180px;
        width: 50%;
        background: $green;
        border-radius: 10px;
        color: $beige;
        font-size: 90px;
        padding: 10px;

        p:last-child {
            font-size: 50px;
            display: flex;
            color: lighten($beige, 10);
            padding-left: 4px;
            &:after {
                content: " ";
                border-bottom: 2px solid $beige;
                margin: auto 5%;
                flex: 1 1;
            }
        }
    }

    .header-buttons {
        justify-content: space-between;
        height: 180px;
    
        .door-button-page {
            width: 80px;
            height: 80px;
            background: white;
            box-shadow: 0px 4px 4px rgba(0, 0, 0, 0.25);
            border-radius: 10px;
        
            &:hover {
                -webkit-box-shadow: inset 0px 0px 10px #aaaaaa;
                -moz-box-shadow: inset 0px 0px 10px #aaaaaa;
                     box-shadow: inset 0px 0px 10px #aaaaaa;
            }
        
            img {
                width: 50px;
                transition: 200ms;
                &:hover {
                    width: 57px;
                }
            }
        }
    }
    
}

#main-title {
    display: flex;
    justify-content:center;
    font-size: $main-title-size;
    color: lighten($green, 10);
    margin-top: $main-title-size;
    height: $main-title-size + 30px;
    width: 58.5%;
}

.filter-container {
    display: flex;
    flex-direction: column;
    align-items: center;
    margin-top: 30px;
    font-size:$main-title-size/4;
    width: 58.5%;
    height: auto;
    /*background: blue;*/
    gap: 30%;

    .filter-select {
        width: 100%;
        display: flex;
        justify-content: space-around;
        gap: 30px;
        background: lighten($green, 30);

        p {
            cursor: pointer;
            transition: 200ms ease-in-out;
    
            &:hover {
                transform: scale(1.1);
            }
        }
    }

}

.filtrer-box {
    width: 100%;
    display: none;
    flex-wrap: wrap;
    gap: 20px;
    justify-content: space-around;
    margin-top: $mt-filter-trier-box;
    
    div {
        background: $beige;
        padding: 10px 20px 10px 20px;
        border-radius: 10px;
        font-size: 16px;
    }
}

.trier-box {
    width: 100%;
    display: none;
    justify-content: center;
    flex-wrap: wrap;
    gap: 20px;
    margin-top: $mt-filter-trier-box;

    div {
        background: $beige;
        padding: 10px 20px 10px 20px;
        border-radius: 10px;
        font-size: 16px;
    }
}

.filtrer-box-toggle {
    @extend .filtrer-box;
    display: flex;
    animation: 1s ouverture ease-in-out;
    opacity: 0;
    animation-fill-mode: forwards;
    justify-content: center;
}

.trier-box-toggle {
    @extend .trier-box;
    display: flex;
    animation: 1s ouverture ease-in-out;
    opacity: 0;
    animation-fill-mode: forwards;
}

@keyframes ouverture {
    0%{}
    100%{opacity: 1;}
}

.project-list {
    width: 70%;
    /*background: red;*/
    display: flex;
    justify-content: space-around;
    flex-wrap: wrap;

    .project-card {
        margin-top: 50px;
        width: 40%;
        height: 300px;
        background: yellow;
        border-radius: $project-card-br;
        display: flex;
        flex-direction: column;
        align-items: center;
        perspective: 1px;
        overflow: hidden;
        

            .project-image{
                width: 100%;
                height: 70%;
                display: flex;
                justify-content:center;
                align-items: center;
                background: lighten($beige, 10);
            }

            .project-info{
                width: 100%;
                height: 30%;
                display: flex;
                flex-direction: column;
                justify-content: space-around;
                align-items: center;
                color: $white;
                background: lighten($green, 10);
            }
    }
}

#top-button {
    display: none; /* Hidden by default */
    position: fixed; /* Fixed/sticky position */
    bottom: 20px; /* Place the button at the bottom of the page */
    right: 30px; /* Place the button 30px from the right */
    z-index: 99; /* Make sure it does not overlap */
    border: none; /* Remove borders */
    outline: none; /* Remove outline */
    background-color: red; /* Set a background color */
    color: white; /* Text color */
    cursor: pointer; /* Add a mouse pointer on hover */
    padding: 15px; /* Some padding */
    border-radius: 10px; /* Rounded corners */
    font-size: 18px; /* Increase font size */

    &:hover {
        background-color: #555; /* Add a dark-grey background on hover */
    }
}